# IRsGenStream Struct Reference

Inherits IUnknown.

List of all members.

## Public Member Functions
HRESULT | Reset (void)
HRESULT | GetStreamId ([out, retval] RtStreamId *pStreamId)
RtDWORD | GetNumItems (void)
RtDWORD | GetItemSize (void)
RtDWORD | GetTimeStamp (void)
HRESULT | Manage ()
HRESULT | Unmanage ()
HRESULT | SetNumItems ([in] RtDWORD dwNumElems)
HRESULT | LockStream ([in] RtDWORD dwFlags,[out] void **ppData)
HRESULT | UnLockStream (void)

## Detailed Description

IRsGenStream is a general interface for each stream inserted in mesh data object.

## Member Function Documentation

HRESULT IRsGenStream::Reset | ( | void |  | ) |

Reset.

HRESULT IRsGenStream::GetStreamId | ( | [out, retval] RtStreamId * | pStreamId | ) |

Return Id of stream, each stream has its own Id.

Parameters:

  | pStreamId | returned Id of stream.

Returns:
  standard HRESULT processing can be applied to returned value.

RtDWORD IRsGenStream::GetNumItems | ( | void |  | ) |

Return number of elements in stream.

Returns:
  number of elements.

RtDWORD IRsGenStream::GetItemSize | ( | void |  | ) |

Return element size in stream.

Returns:
  size of element.

RtDWORD IRsGenStream::GetTimeStamp | ( | void |  | ) |

Return time stamp, for checking if stream data were changed.

Returns:
  time stamp of stream.

HRESULT IRsGenStream::Manage | ( |  | ) |

Add stream to stream manager.

Returns:
  standard HRESULT processing can be applied to returned value.

HRESULT IRsGenStream::Unmanage | ( |  | ) |

Remove stream from stream manager.

Returns:
  standard HRESULT processing can be applied to returned value.

HRESULT IRsGenStream::SetNumItems | ( | [in] RtDWORD | dwNumElems | ) |

Sets number of elements in stream.

Parameters:

  | dwNumElems | [in] Number of elements to be set.

Returns:
  standard HRESULT processing can be applied to returned value.

HRESULT IRsGenStream::LockStream | ( | [in] RtDWORD | dwFlags,
|  | [out] void ** | ppData |
| ) |  |  |

Locks stream and returns access pointer to that stream.

Parameters:

  | dwFlags | [in] Flags for locking.
  | ppData | [out] Returned locked stream.

Returns:
  standard HRESULT processing can be applied to returned value.

HRESULT IRsGenStream::UnLockStream | ( | void |  | ) |

Unocks stream.

Returns:
  standard HRESULT processing can be applied to returned value.